/*
 * File......: FT_FIELD.CH
 * Author....: Steve Kolterman [76320,37]
 * Date......: $Date$
 * Revision..: $Revision$
 * Log file..: $Logfile$
 * 
 * This is an original work by Steve Kolterman and is placed in the
 * public domain.
 *
 * Modification history:
 * ---------------------
 *
 * $Log$
 *
 */

/*
   Provides a fully capable alternative to Clipper's REPLACE.  Accepts
   either field names or ordinal .DBF positions.  Requires FT_Fplace().
   Specifying ANY scope activates the first command, no scope defaults to
   the current record.
*/

#translate VT(<x>) => Valtype(<x>)

#command FIELDPLACE [IN <a> } ] [ALL] <f1> WITH <x1> [, <fn> WITH <xn>] ;
         [FOR <for>] [WHILE <while>] ;
         [NEXT <next>] [RECORD <rec>] [<rest:REST>] ;
         => ;
         [<a>->](DBEval( {|| FT_FPlace(if( VT(<f1>)=="N",<f1>,<(f1)> ),<x1>) ;
                           [,FT_FPlace(if( VT(<fn>)=="N",<fn>,<(fn)> ),<xn>)] },;
                 <{for}>, <{while}>, <next>, <rec>, <.rest.> ))

#command FIELDPLACE [IN <a> } ] <f1> WITH <x1> [, <fn> WITH <xn>] ;
         => ;
         [<a>->](DBEval( {|| FT_FPlace(if( VT(<f1>)=="N",<f1>,<(f1)> ),<x1>) ;
                           [,FT_FPlace(if( VT(<fn>)=="N",<fn>,<(fn)> ),<xn>)] },;
                             ,, 1,, ))
